package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class SiklusPengobatanBayiTabung
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "SiklusPengobatanBayiTabung_M")
public class SiklusPengobatanBayiTabungVO extends BaseMasterVO {
	@Caption(value="Kode Siklus Pengobatan B T")
	private Byte kdSiklusPengobatanBT;

	public void setKdSiklusPengobatanBT(Byte kdSiklusPengobatanBT) {
		this.kdSiklusPengobatanBT = kdSiklusPengobatanBT;
	}

	@Column(name = "KdSiklusPengobatanBT", nullable = false )
	public Byte getKdSiklusPengobatanBT(){
		return this.kdSiklusPengobatanBT;
	}

	@Caption(value="QSiklus Pengobatan B T")
	private Byte qSiklusPengobatanBT;

	public void setqSiklusPengobatanBT(Byte qSiklusPengobatanBT) {
		this.qSiklusPengobatanBT = qSiklusPengobatanBT;
	}

	@Column(name = "QSiklusPengobatanBT", nullable = false )
	public Byte getqSiklusPengobatanBT(){
		return this.qSiklusPengobatanBT;
	}

	@Caption(value="Siklus Pengobatan B T")
	private String siklusPengobatanBT;

	public void setSiklusPengobatanBT(String siklusPengobatanBT) {
		this.siklusPengobatanBT = siklusPengobatanBT;
	}

	@Column(name = "SiklusPengobatanBT", nullable = false , length = 75)
	public String getSiklusPengobatanBT(){
		return this.siklusPengobatanBT;
	}


}

